> For the complete documentation index, see [llms.txt](https://docs.adapptio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adapptio.com/working-with-adapptio/how-to/data-and-dynamic-values/dynamic-value.md).

# Dynamic Value

### The Goal

Prepare a *Basic Application* binding *Input Text Field* Value with another *Text* component.

![Dynamic Value Application](/files/bbRUXGvEitWx5xzg8P4c)

### The Description

Any component's values can be referenced as data output for another. We are using *Text Input* which *Value* is bound with empty *Text*.

### The Knowledge You Will Get

1. Understand how to *Value* association works.

### The Project Structure

{% tabs %}
{% tab title="View\[MainView]" %}

* [ ] MainView
  * [ ] Container\[`cntMain`]
    * [ ] Text Input\[`txtInput`]
    * [ ] Text\[`txtOutput`]
      {% endtab %}
      {% endtabs %}

### 1. Prepare a Basic Layout

Let's start with *Main Container* with two included components; *Text Input* and *Text*.

1. Place in a new **Container**, name it `cntMain`, and set up its *Item Flex* -> `Stretch`; *Horizontal Alignment* -> `Center`; *Vertical Alignment* -> `Middle`
2. Into  the `cntMain` put a **Text Input** and name it `txtInput`.
3. Right under place a new **Text** and set up its *Properties* as follows: *ID* -> `txtInput`; *Text Style* -> `Bold`; *Font Size* -> `Large`

### 2. Bind a Dynamic Value

Associating *Dynamical Value* by a *Function* can be done in just two steps.

1. Switch *Value* of `txtOutput` to dynamic *Function* by clicking on the right side *ƒx* icon.
2. Edit `txtOutput` *Value* -> `txtInput.value`

{% hint style="info" %}
Watch your Canvas what happens if you will type just `txtInput`.
{% endhint %}

{% tabs %}
{% tab title="txtOutput\[Properties]" %}
![](/files/iBO5S4mi6HWlGFN7UHqt)
{% endtab %}

{% tab title="Data Explorer\[txtInput]" %}
![](/files/DMB1Iqrhhfa7ybyn04vM)
{% endtab %}

{% tab title="txtOutput without .value fx" %}
![](/files/SMKslsLBVCUyNkKuP6YB)
{% endtab %}
{% endtabs %}

### The Conclusion

Binding and referencing *Values* are efficient and always reflect the state in the *Data Explorer*.

{% hint style="info" %}
Follow up on our *Dynamic Value* tutorial <https://youtu.be/F-SmrBlVUZY>
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.adapptio.com/working-with-adapptio/how-to/data-and-dynamic-values/dynamic-value.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
